# Running Time Micros

Find how long it has been since the program started in micro-seconds.

```sig
input.runningTimeMicros();
```

## Returns

* the [Number](/types/number) of microseconds since the program started.
(One second is 1000000 microseconds.)

## See also

[show number](/reference/basic/show-number), [pause](/reference/basic/pause)

